Source: https://leadping.ai/docs/api-reference/leadpingapi/get-the-leadping-a2a-agent-card

# Get the Leadping A2A Agent Card

**leadping.Api**

Returns Leadping’s public A2A Agent Card, including protocol capabilities, authentication requirements, input and output modes, and supported skills.

## Endpoint

```http
GET https://api.leadping.ai/.well-known/agent-card.json
```

## Request examples

### cURL

```bash
curl --request GET \
  --url https://api.leadping.ai/.well-known/agent-card.json
```

### Python

```python
import requests

url = "https://api.leadping.ai/.well-known/agent-card.json"

response = requests.get(url)

print(response.text)
```

### C#

```csharp
using RestSharp;


var options = new RestClientOptions("https://api.leadping.ai/.well-known/agent-card.json");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);

Console.WriteLine("{0}", response.Content);
```

### Java

```java
HttpResponse<String> response = Unirest.get("https://api.leadping.ai/.well-known/agent-card.json")
  .asString();
```

### JavaScript

```javascript
const options = {method: 'GET'};

fetch('https://api.leadping.ai/.well-known/agent-card.json', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.leadping.ai/.well-known/agent-card.json"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
```

### PHP

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.leadping.ai/.well-known/agent-card.json",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

## Response

### `200 OK`

### `429 Too Many Requests`

```json
{
  "type": "about:blank",
  "title": "Too Many Requests",
  "status": 429,
  "detail": "The request could not be completed."
}
```
